import acm.graphics.*;
import acm.program.*;
import acm.util.*;
import java.applet.*;
import java.awt.*;
import java.awt.event.*;

/** An instance is the game breakout. Start it by executing
    Breakout.main(null);
    */
public class Breakout extends GraphicsProgram {
    /** Width of the game display (all coordinates are in pixels) */
    private static final int WIDTH= 460;
    /** Height of the game display */
    private static final int HEIGHT= 610;
    
    /** Width of the paddle */
    private static final int WIDTH_OF_PADDLE= 58;
    /** Height of the paddle */
    private static final int HEIGHT_OF_PADDLE= 11;
    /**Distance of the (bottom of the) paddle up from the bottom */
    private static final int PADDLE_OFFSET= 30;
    
    /** Horizontal separation between bricks */
    private static final int BRICK_SEP_H= 5;
    /** Vertical separation between bricks */
    private static final int BRICK_SEP_V= 4;
    /** Height of a brick */
    private static final int BRICK_HEIGHT= 8;
    /** Offset of the top brick row from the top */
    private static final int BRICK_Y_BOTTOM_OFFSET= 71;
    
    /** Number of bricks per row */
    private static  int BRICKS_IN_ROW= 10;
    /** Number of rows of bricks, in range 1..10. */
    private static  int BRICK_ROWS= 10;
    /** Width of a brick */
    private static int BRICK_WIDTH= WIDTH / BRICKS_IN_ROW - BRICK_SEP_H;
    
    /** Radius of the ball in pixels */
    private static final int BALL_RADIUS= 10;
    
    /** Number of turns */
    private static final int NTURNS= 3;
    
   
   
    
    /** Run the program as an application. If args contains 2 elements that are positive
        integers, then use the first for the number of bricks per row and the second for
        the number of rows of bricks.
        A hint on how main works. The main program creates an instance of
        the class, giving the constructor the width and height of the graphics
        panel. The system then calls method run() to start the computation.
      */
    public static void main(String[] args) {
        fixBricks(args);
        String[] sizeArgs= {"width=" + WIDTH, "height=" + HEIGHT};
        new Breakout().start(sizeArgs);
    }
    
    /** If b is non-null, has exactly two elements, and they are positive
        integers with no blanks surrounding them, then:
        Store the first int in BRICKS_IN_ROW, store the second int in BRICK_ROWS,
        and recompute BRICK_WIDTH using the formula given in its declaration. */
    public static void fixBricks(String[] b) {
        /** Hint. You have to make sure that the two Strings are positive integers.
            The simplest way to do that is to use the calls Integer.valueOf(b[0]) and
            Integer.valueOf(b[1]) within a try-statement in which the catch block is
            empty. Don't store any values in the static fields UNTIL you are sure
            that both array elements are positive integers. */
       
    }
    
    /** Run the Breakout program. */
    public void run() {
        
       // Initialize and play the game.
    }
 
    
}
